Hr Tickets
Alle Operationen rund um Hr Tickets.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| HR Ticket | hr_ticket |
21 | — | hr_ticket_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/hr_tickets |
Create hr_ticket | Create a new hr_ticket in the active tenant. |
DELETE |
/v1/hr_tickets/{id} |
Delete hr_ticket | Soft delete entity. |
GET |
/v1/hr_tickets/{id} |
Get hr_ticket by id | Fetch a single hr_ticket. |
GET |
/v1/hr_tickets/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/hr_tickets/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/hr_tickets/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/hr_tickets |
List hr_tickets | List hr_tickets for the active tenant. |
PATCH |
/v1/hr_tickets/{id} |
Patch hr_ticket | JSON Merge Patch update. |
POST |
/v1/hr_tickets/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/hr_tickets/{id}/transition |
POST /v1/hr_tickets/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/hr_tickets/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/hr_tickets/{id} |
Replace hr_ticket | Full replace with optimistic locking. |